package com.diagbot.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.diagbot.dto.IndexDTO;
import com.diagbot.dto.StaticKnowledgeIndexDTO;
import com.diagbot.entity.KlConcept;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.MedRetrievalVO;
import com.diagbot.vo.StaticKnowledgeIndexVO;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 概念表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@DS("med")
@Transactional(propagation = Propagation.REQUIRES_NEW, rollbackFor = Exception.class)
public interface KlConceptService extends IService<KlConcept> {

    List<IndexDTO> index(MedRetrievalVO medRetrievalVO);

    List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO);
}
